package org.ejercicio14;

import java.io.PrintWriter;
import java.util.Scanner;

/*
 *   El padre deberá crear un proceso hijo con el comando grep y un fichero pasado como argumento. 
 *   Dicho fichero tendrá nombres  apellidos por línea.
 *   El hijo deberá heredar la entrada estándar del padre. Utilizar redirectInput.
 *   El padre leerá por teclado una cadena (un nombre) y el hijo deberá escribir en un segundo fichero las coincidencias. 
 *   El nombre del fichero de coincidencias será coincidencias.txt *   La ejecución será de la forma  .\comando-grep nombres.txt   
 *   La simulación del comando será de la forma  grep "santi" nombres.txt > coincidencias.txt
 */
public class Ejercicio14 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        String[] comandos = {"grep",sc.nextLine(),args[0]};
        try {
            ProcessBuilder processBuilder = new ProcessBuilder(comandos);
            Process process = processBuilder.start();
            Scanner sc2 = new Scanner(process.getInputStream());
            PrintWriter printWriter = new PrintWriter("coincidencias.txt");
            while(sc2.hasNext()){
                printWriter.write(sc2.nextLine()+"\n");
            }
            printWriter.close();
            process.destroy();
        } catch (Exception e) {
            System.err.println(e.getMessage());
        }
    }
}
