package org.ejercicio5;

import java.util.Scanner;

/*
* Desde Ubuntu, Crear un programa con Runtime, que permita mostrar por pantalla toda la información
* del directorio /etc/init.d pasado como argumento a nuestro programa java. El padre debe mostrar en
* pantalla la ejecución del hijo con el getInputStream(). Comprobar que el número de parámetros pasados al main,
* son los correctos. Los que tengáis windows, hacerlo con ruta del tipo c:\<directorio_cualesquiera>
* */
public class Tarea5 {
    public static void main(String[] args) {
    Runtime runtime = Runtime.getRuntime();

        try {
            String [] comando = {"ls", args[0]};
            Process process = runtime.exec(comando);
            process.waitFor();
            Scanner sc = new Scanner(process.getInputStream());
            while (sc.hasNextLine()) {
                System.out.println(sc.nextLine());
            }
            sc.close();
            process.destroy();
        } catch (Exception e) {
            System.err.println(e.getMessage());
        }
    }
}