package org.ejercicio10;

import java.io.File;
import java.io.FileWriter;
import java.util.Scanner;

/*
 * Crear un clon del ls -l del realizado con el Runtime, pero ahora con el ProcessBuilder.
 * ¿Qué sucede si el comando se lo pasamos de la forma "ls -l" ? -> No funcionará
 */
public class Ejercicio10 {
    public static void main(String[] args) {
        String[] comando = {"ls","-l"};
        ProcessBuilder processBuilder = new ProcessBuilder(comando);
        Process process;
        try {
            process = processBuilder.start();
            process.waitFor();
            Scanner sc = new Scanner(process.getInputStream());
            File file = new File(args[0]);
            FileWriter fileWriter = new FileWriter(file);
            while (sc.hasNextLine()) {
                fileWriter.append(sc.nextLine()).append("\n");   
            }
            sc.close();
            fileWriter.close();
            process.destroy();
        } catch (Exception e) {
            System.err.println(e.getMessage());
        }
        
    }
}
